Skip to main content
GET
/
v1
/
assets
/
:id
/
widgets
List Asset Widgets
curl --request GET \
  --url https://api.oviond.com/v1/assets/:id/widgets \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "id": "widget123",
      "account_id": "ov:26AbCd",
      "source_type": "<string>",
      "source_id": "<string>",
      "page_id": "<string>",
      "client_id": "<string>",
      "chart": "<string>",
      "chart_type": "<string>",
      "chart_group": "<string>",
      "state": "<string>",
      "title": "<string>",
      "text": "<string>",
      "name": "<string>",
      "auto_generated_name": "<string>",
      "heading": "<string>",
      "align": "<string>",
      "link": "<string>",
      "link_url": "<string>",
      "image_fit": "<string>",
      "embed_type": "<string>",
      "embed_url": "<string>",
      "embed_iframe": "<string>",
      "embed_html": "<string>",
      "size": "<string>",
      "description": "<string>",
      "content": "<string>",
      "src": "<string>",
      "url": "<string>",
      "icon": "<string>",
      "target": "<string>",
      "image_link_url": "<string>",
      "x": 123,
      "y": 123,
      "width": 123,
      "height": 123,
      "is_secondary": true,
      "icon_position": "<string>",
      "options_3d": true,
      "kpi": true,
      "blended": true,
      "row_limit": "<string>",
      "sort_order": "<string>",
      "sort_by": "<string>",
      "column_widths": {},
      "b_height": "<string>",
      "legend_position": "<string>",
      "invert_y_axis": true,
      "show_header": true,
      "show_name": true,
      "show_icon": true,
      "show_date": true,
      "show_grid_lines": true,
      "show_legends": true,
      "show_x_axis": true,
      "show_y_axis": true,
      "show_trendline": true,
      "show_totals": true,
      "show_table_filters": true,
      "show_logarithmic": true,
      "show_multiple_axes": true,
      "show_custom_date_range": true,
      "show_description": true,
      "show_container": true,
      "show_label_list": true,
      "show_chart": true,
      "expand_rows": true,
      "datasource_id": "<string>",
      "datasource_type": "<string>",
      "data_view": "<string>",
      "metrics": [
        {}
      ],
      "dimensions": [
        {}
      ],
      "filters": null,
      "advanced": {},
      "currency": {
        "code": "USD",
        "symbol": "$",
        "iso": "US"
      },
      "date_range": {
        "text": "Last 30 Days",
        "compare": "None",
        "include_today": false,
        "current_start": "2026-03-01",
        "current_end": "2026-03-31",
        "previous_start": "2026-02-01",
        "previous_end": "2026-02-28",
        "custom_days": 60,
        "custom_months": 3
      },
      "current_data": [
        {}
      ],
      "current_summary": {},
      "previous_data": [
        {}
      ],
      "previous_summary": {},
      "series_fetched_at": "<string>",
      "created_at": null
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Asset widgets

success
enum<boolean>
required
Available options:
true
data
object[]
required